Bug 185021 - Port graphics/p5-Image-ExifTool-devel STAGEDIR support [PATCH]
Summary: Port graphics/p5-Image-ExifTool-devel STAGEDIR support [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-20 10:30 UTC by Horia Racoviceanu
Modified: 2014-02-14 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (16.11 KB, patch)
2013-12-20 10:30 UTC, Horia Racoviceanu
no flags Details | Diff
p5-Image-ExifTool-devel.diff (16.30 KB, patch)
2013-12-20 14:49 UTC, Horia Racoviceanu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2013-12-20 10:30:00 UTC

Fix: - Support STAGEDIR
- Add DOCS to Options
- Change pkg-plist

Build log:
https://redports.org/buildarchive/20131220100140-40750/

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-20 10:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-12-20 10:30:09 UTC
Maintainer of graphics/p5-Image-ExifTool-devel,

Please note that PR ports/185021 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185021

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-12-20 10:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Horia Racoviceanu 2013-12-20 14:49:13 UTC
- Bump PORTREVISION to 1
- Support STAGEDIR
- Add DOCS to Options
- Change pkg-plist
Comment 5 Steve Wills freebsd_committer 2014-01-25 02:50:22 UTC
Responsible Changed
From-To: perl->swills

I'll take it.
Comment 6 Steve Wills freebsd_committer 2014-02-14 20:23:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2014-02-14 20:23:10 UTC
Author: swills
Date: Fri Feb 14 20:22:55 2014
New Revision: 344311
URL: http://svnweb.freebsd.org/changeset/ports/344311
QAT: https://qat.redports.org/buildarchive/r344311/

Log:
  - Support STAGEDIR
  - Add DOCS to Options
  - Bump PORTREVISION due to package change
  
  PR:		ports/185021
  Submitted by:	Horia Racoviceanu <horia@racoviceanu.com>
  Reviewed by:	maintainer timeout (linpct@gmail.com, >8 weeks)

Modified:
  head/graphics/p5-Image-ExifTool-devel/Makefile
  head/graphics/p5-Image-ExifTool-devel/pkg-plist

Modified: head/graphics/p5-Image-ExifTool-devel/Makefile
==============================================================================
--- head/graphics/p5-Image-ExifTool-devel/Makefile	Fri Feb 14 20:20:14 2014	(r344310)
+++ head/graphics/p5-Image-ExifTool-devel/Makefile	Fri Feb 14 20:22:55 2014	(r344311)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Image-ExifTool
 PORTVERSION=	9.44
+PORTREVISION=	1
 CATEGORIES=	graphics perl5
 MASTER_SITES=	http://www.sno.phy.queensu.ca/~phil/exiftool/
 PKGNAMEPREFIX=	p5-
@@ -19,38 +20,25 @@ CONFLICTS=	p5-Image-ExifTool-[0-9]*
 USES=		perl5
 USE_PERL5=	configure
 
-MAN1=		exiftool.1
-MAN3=		File::RandomAccess.3 Image::ExifTool.3 \
-		${MANTAGS:S/^/Image::ExifTool::/:S/$/.3/} \
-		${LANGTAGS:S/^/Image::ExifTool::Lang::/:S/$/.3/}
-
-LANGTAGS=	cs de en_ca en_gb es fi fr it ja ko nl pl ru sv tr zh_cn zh_tw
-MANTAGS=	AES AFCP AIFF APE APP12 ASF Apple BMP BZZ BigTIFF BuildTagLookup \
-		Canon CanonCustom CanonRaw CanonVRD CaptureOne Casio Charset \
-		DICOM DNG DPX DV DarwinCore DjVu EXE Exif FLAC FLIR Fixup Flash FlashPix Font \
-		FotoStation FujiFilm GE GIF GIMP GPS GeoTiff Geotag H264 HP \
-		HTML HtmlDump ICC_Profile ID3 IPTC ITC Import InDesign JPEG \
-		JPEGDigest JVC Jpeg2000 Kodak KyoceraRaw LNK Leaf M2TS MIE \
-		MIEUnits MIFF MNG MPC MPEG MPF MWG MXF MakerNotes Matroska \
-		Microsoft Minolta MinoltaRaw Nikon NikonCapture NikonCustom \
-		OOXML Ogg Olympus OpenEXR PDF PGF PICT PLIST PNG PPM PSP Panasonic \
-		PanasonicRaw Pentax PhaseOne PhotoCD PhotoMechanic Photoshop PostScript PrintIM \
-		Qualcomm QuickTime RIFF RSRC RTF Radiance Rawzor Real Reconyx Ricoh Samsung \
-		Sanyo Scalado Shift Shortcuts Sigma SigmaRaw Sony SonyIDC Stim \
-		TagInfoXML TagLookup TagNames Theora Torrent Unknown Vorbis \
-		WriteCanonRaw WriteExif WriteIPTC WritePDF WritePNG \
-		WritePhotoshop WritePostScript WriteQuickTime WriteXMP Writer XMP XMP2 \
-		XMPStruct ZIP iWork
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	Changes README
+
+DOCSRCDIR2=	${DOCSRCDIR1}/html
+DOCSDIR2=	${DOCSDIR}/html
+DOC_FILES2=	*.css *.html *.pdf
+
+DOCSRCDIR3=	${DOCSRCDIR2}/TagNames
+DOCSDIR3=	${DOCSDIR2}/TagNames
+DOC_FILES3=	*.css *.html
+
+OPTIONS_DEFINE=	DOCS
 
-NO_STAGE=	yes
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}/
-	${INSTALL_DATA} ${WRKSRC}/html/*.css ${DOCSDIR}/
-	${INSTALL_DATA} ${WRKSRC}/html/*.html ${DOCSDIR}/
-	${INSTALL_DATA} ${WRKSRC}/html/*.pdf ${DOCSDIR}/
-	@${MKDIR} ${DOCSDIR}/TagNames/
-	${INSTALL_DATA} ${WRKSRC}/html/TagNames/*.html ${DOCSDIR}/TagNames/
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR3}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${STAGEDIR}${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES3:S|^|${DOCSRCDIR3}/|} ${STAGEDIR}${DOCSDIR3}
 
 .include <bsd.port.mk>

Modified: head/graphics/p5-Image-ExifTool-devel/pkg-plist
==============================================================================
--- head/graphics/p5-Image-ExifTool-devel/pkg-plist	Fri Feb 14 20:20:14 2014	(r344310)
+++ head/graphics/p5-Image-ExifTool-devel/pkg-plist	Fri Feb 14 20:22:55 2014	(r344311)
@@ -1,4 +1,161 @@
 bin/exiftool
+%%PERL5_MAN3%%/File::RandomAccess.3.gz
+%%PERL5_MAN3%%/Image::ExifTool.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::AES.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::AFCP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::AIFF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::APE.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::APP12.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::ASF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Apple.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::BMP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::BZZ.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::BigTIFF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::BuildTagLookup.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Canon.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::CanonCustom.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::CanonRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::CanonVRD.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::CaptureOne.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Casio.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Charset.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DICOM.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DNG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DPX.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DV.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DarwinCore.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::DjVu.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::EXE.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Exif.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::FLAC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::FLIR.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Fixup.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Flash.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::FlashPix.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Font.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::FotoStation.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::FujiFilm.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::GE.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::GIF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::GIMP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::GPS.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::GeoTiff.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Geotag.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::H264.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::HP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::HTML.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::HtmlDump.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::ICC_Profile.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::ID3.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::IPTC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::ITC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Import.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::InDesign.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::JPEG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::JPEGDigest.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::JVC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Jpeg2000.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Kodak.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::KyoceraRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::LNK.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::cs.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::de.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::en_ca.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::en_gb.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::es.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::fi.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::fr.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::it.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::ja.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::ko.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::nl.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::pl.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::ru.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::sv.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::tr.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::zh_cn.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Lang::zh_tw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Leaf.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::M2TS.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MIE.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MIEUnits.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MIFF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MNG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MPC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MPEG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MPF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MWG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MXF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MakerNotes.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Matroska.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Microsoft.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Minolta.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::MinoltaRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Nikon.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::NikonCapture.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::NikonCustom.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::OOXML.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Ogg.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Olympus.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::OpenEXR.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PDF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PGF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PICT.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PLIST.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PNG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PPM.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PSP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Panasonic.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PanasonicRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Pentax.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PhaseOne.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PhotoCD.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PhotoMechanic.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Photoshop.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PostScript.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::PrintIM.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Qualcomm.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::QuickTime.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::RIFF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::RSRC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::RTF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Radiance.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Rawzor.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Real.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Reconyx.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Ricoh.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Samsung.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Sanyo.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Scalado.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Shift.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Shortcuts.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Sigma.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::SigmaRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Sony.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::SonyIDC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Stim.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::TagInfoXML.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::TagLookup.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::TagNames.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Theora.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Torrent.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Unknown.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Vorbis.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WriteCanonRaw.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WriteExif.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WriteIPTC.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WritePDF.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WritePNG.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WritePhotoshop.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WritePostScript.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WriteQuickTime.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::WriteXMP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::Writer.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::XMP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::XMP2.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::XMPStruct.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::ZIP.3.gz
+%%PERL5_MAN3%%/Image::ExifTool::iWork.3.gz
 %%SITE_PERL%%/File/RandomAccess.pm
 %%SITE_PERL%%/File/RandomAccess.pod
 %%SITE_PERL%%/Image/ExifTool.pm
@@ -189,146 +346,10 @@ bin/exiftool
 %%SITE_PERL%%/Image/ExifTool/XMPStruct.pl
 %%SITE_PERL%%/Image/ExifTool/ZIP.pm
 %%SITE_PERL%%/Image/ExifTool/iWork.pm
-%%SITE_PERL%%/mach/auto/Image/ExifTool/.packlist
-%%PORTDOCS%%%%DOCSDIR%%/ExifTool.html
-%%PORTDOCS%%%%DOCSDIR%%/MIE1.1-20070121.pdf
-%%PORTDOCS%%%%DOCSDIR%%/Shift.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/AFCP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/AIFF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/APE.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/APP12.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/ASF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Apple.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/BMP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Canon.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/CanonCustom.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/CanonRaw.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/CanonVRD.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Casio.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Composite.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DICOM.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DNG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DPX.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DV.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DarwinCore.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/DjVu.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/EXE.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/EXIF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Extra.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/FLAC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/FLIR.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Flash.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/FlashPix.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Font.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/FotoStation.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/FujiFilm.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/GE.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/GIF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/GIMP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/GPS.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/GeoTiff.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/H264.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/HP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/HTML.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/ICC_Profile.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/ID3.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/IPTC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/ITC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/JFIF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/JPEG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/JVC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Jpeg2000.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Kodak.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/KyoceraRaw.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/LNK.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Leaf.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/M2TS.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MIE.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MIFF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MNG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MPC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MPEG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MPF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MWG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MXF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Matroska.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Microsoft.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Minolta.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/MinoltaRaw.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Nikon.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/NikonCapture.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/NikonCustom.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/OOXML.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Ogg.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Olympus.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/OpenEXR.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PDF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PGF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PICT.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PLIST.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PNG.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PSP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Panasonic.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PanasonicRaw.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Pentax.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PhaseOne.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PhotoCD.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PhotoMechanic.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Photoshop.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PostScript.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/PrintIM.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Qualcomm.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/QuickTime.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/RIFF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/RSRC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/RTF.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Radiance.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Rawzor.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Real.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Reconyx.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Ricoh.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Samsung.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Sanyo.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Scalado.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Shortcuts.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Sigma.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/SigmaRaw.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Sony.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/SonyIDC.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Stim.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Theora.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Torrent.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Unknown.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/Vorbis.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/XMP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/ZIP.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/iWork.html
-%%PORTDOCS%%%%DOCSDIR%%/TagNames/index.html
-%%PORTDOCS%%%%DOCSDIR%%/ancient_history.html
-%%PORTDOCS%%%%DOCSDIR%%/canon_raw.html
-%%PORTDOCS%%%%DOCSDIR%%/commentary.html
-%%PORTDOCS%%%%DOCSDIR%%/config.html
-%%PORTDOCS%%%%DOCSDIR%%/data_members.html
-%%PORTDOCS%%%%DOCSDIR%%/exiftool_pod.html
-%%PORTDOCS%%%%DOCSDIR%%/faq.html
-%%PORTDOCS%%%%DOCSDIR%%/filename.html
-%%PORTDOCS%%%%DOCSDIR%%/geotag.html
-%%PORTDOCS%%%%DOCSDIR%%/history.html
-%%PORTDOCS%%%%DOCSDIR%%/htmldump.html
-%%PORTDOCS%%%%DOCSDIR%%/idiosyncracies.html
-%%PORTDOCS%%%%DOCSDIR%%/index.html
-%%PORTDOCS%%%%DOCSDIR%%/install.html
-%%PORTDOCS%%%%DOCSDIR%%/metafiles.html
-%%PORTDOCS%%%%DOCSDIR%%/standards.html
-%%PORTDOCS%%%%DOCSDIR%%/struct.html
-%%PORTDOCS%%%%DOCSDIR%%/style.css
-%%PORTDOCS%%%%DOCSDIR%%/under.html
-%%PORTDOCS%%%%DOCSDIR%%/verbose.html
-%%PORTDOCS%%%%DOCSDIR%%/writing.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/TagNames
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm %%SITE_PERL%%/mach/auto/Image/ExifTool
-@dirrm %%SITE_PERL%%/mach/auto/Image
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ExifTool/.packlist
+man/man1/exiftool.1.gz
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image/ExifTool
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Image
 @dirrm %%SITE_PERL%%/Image/ExifTool/Lang
 @dirrm %%SITE_PERL%%/Image/ExifTool/Charset
 @dirrm %%SITE_PERL%%/Image/ExifTool
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"